import { BaseProvider } from '#templates/base/provider';
import { NotificationReceipt } from '#models/NotificationReceipt';

export class NotificationReceiptProvider extends BaseProvider<NotificationReceipt> {
	public static instance: NotificationReceiptProvider;

	public static getInstance(): NotificationReceiptProvider {
		NotificationReceiptProvider.instance ??= new NotificationReceiptProvider();
		return NotificationReceiptProvider.instance;
	}

	public static get model() {
		return NotificationReceipt;
	}

	constructor() {
		super('NotificationReceipt');
	}
}
